searchData={"items":[{"type":"module","doc":"A formatter that can be plugged in to `mix format` in order to format Markdown\nfiles and sigils.","title":"MarkdownFormatter","ref":"MarkdownFormatter.html"},{"type":"module","doc":"Add `MarkdownFormatter` to the `.formatter.exs` plugin list.\n\n```\n[\n  plugins: [MarkdownFormatter],\n  inputs: [\n    \"{mix,.formatter}.exs\",\n    \"{config,lib,test}/**/*.{ex,exs}\",\n    \"posts/*.{md,markdown}\"\n  ]\n]\n```","title":"Usage - MarkdownFormatter","ref":"MarkdownFormatter.html#module-usage"},{"type":"module","doc":"Markdown formatting can be configured via a nested `:markdown` keyword list added to the\nformatter configuration.\n\n- `:line_length` - (integer)\n\n```\n[\n  plugins: [MarkdownFormatter],\n  markdown: [\n    line_length: 80\n  ],\n  inputs: [\n    \"{mix,.formatter}.exs\",\n    \"{config,lib,test}/**/*.{ex,exs}\",\n    \"posts/*.{md,markdown}\"\n  ]\n]\n```","title":"Configuration - MarkdownFormatter","ref":"MarkdownFormatter.html#module-configuration"},{"type":"function","doc":"","title":"MarkdownFormatter.features/1","ref":"MarkdownFormatter.html#features/1"},{"type":"function","doc":"","title":"MarkdownFormatter.format/2","ref":"MarkdownFormatter.html#format/2"},{"type":"extras","doc":"# MarkdownFormatter\n\nAn Elixir formatter for Markdown files and sigils.","title":"MarkdownFormatter","ref":"readme.html"},{"type":"extras","doc":"```elixir\ndef deps do\n  [\n    {:markdown_formatter, \"~> 0.6\", only: :dev, runtime: false}\n  ]\nend\n```\n\nRun `mix dep.get` and `mix deps.compile`, or the module will not be available to the formatter.","title":"Installation - MarkdownFormatter","ref":"readme.html#installation"},{"type":"extras","doc":"Add `MarkdownFormatter` to the `.formatter.exs` plugin list, and add `.md` files to the list of\ninputs.\n\n```elixir\n[\n  plugins: [MarkdownFormatter],\n  inputs: [\n    \"{mix,.formatter}.exs\",\n    \"{config,lib,test}/**/*.{ex,exs}\",\n    \"posts/*.{md,markdown}\"\n  ]\n]\n```\n\nConfigure with a `:markdown` section:\n\n```elixir\n[\n  plugins: [MarkdownFormatter],\n  markdown: [\n    line_length: 120\n  ],\n  inputs: [\n    \"{mix,.formatter}.exs\",\n    \"{config,lib,test}/**/*.{ex,exs}\",\n    \"posts/*.{md,markdown}\"\n  ]\n]\n```","title":"Usage - MarkdownFormatter","ref":"readme.html#usage"},{"type":"extras","doc":"# Changelog","title":"Changelog","ref":"changelog.html"},{"type":"extras","doc":"- Verify support for Elixir 1.17.0.\n- *Breaking*: Drop support for Elixir older than 1.15.0.","title":"1.0.0 - Changelog","ref":"changelog.html#1-0-0"},{"type":"extras","doc":"- Unknown tags which are parsed with `verbatim: true` are rendered as-is.\n- Handle image links with titles.","title":"0.6.0 - Changelog","ref":"changelog.html#0-6-0"},{"type":"extras","doc":"- Handle images.","title":"0.5.0 - Changelog","ref":"changelog.html#0-5-0"},{"type":"extras","doc":"- Fixup docs.\n- Unlock `earmark`; only `earmark_parser` is used.","title":"0.4.1 - Changelog","ref":"changelog.html#0-4-1"},{"type":"extras","doc":"- Add change log to docs.\n- Handle `ex_doc`-style [admonition blocks](https://hexdocs.pm/ex_doc/readme.html#admonition-blocks).","title":"0.4.0 - Changelog","ref":"changelog.html#0-4-0"},{"type":"extras","doc":"- Multi-line markdown documents are formatted with a trailing newline.","title":"0.3.0 - Changelog","ref":"changelog.html#0-3-0"},{"type":"extras","doc":"- Add `line_length` text reformatting (default 100 characters).\n- Fix: sometimes spacing between block elements and lists would collapse.","title":"0.2.0 - Changelog","ref":"changelog.html#0-2-0"},{"type":"extras","doc":"- Render links inline when the text is the same as the path.\n- Handle edge-case where code block is not contained in a `p` tag.","title":"0.1.2 - Changelog","ref":"changelog.html#0-1-2"},{"type":"extras","doc":"- Code blocks can be tagged with language syntax.","title":"0.1.1 - Changelog","ref":"changelog.html#0-1-1"},{"type":"extras","doc":"- Initial release.","title":"0.1.0 - Changelog","ref":"changelog.html#0-1-0"},{"type":"extras","doc":"Copyright 2022 synchronal.dev\n\nLicensed under the Apache License, Version 2.0 (the \"License\"); you may not use this file except in\ncompliance with the License. You may obtain a copy of the License at\n\n http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software distributed under the License is\ndistributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\nimplied. See the License for the specific language governing permissions and limitations under the\nLicense.","title":"LICENSE","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}